import java.awt.*;
import java.applet.*;

public class Form1 extends Applet
{
  public TextField classname, profname, bookname, room;

  public Label[] overview = new Label[14];                             //overview
  public CheckboxGroup[] O = new CheckboxGroup[14];
  public Checkbox[][] o = new Checkbox[14][];

  public Label[] iq = new Label[18];                            //instructor
  public CheckboxGroup[] I = new CheckboxGroup[18];
  public Checkbox[][] i = new Checkbox[18][];

  public Label[] hq = new Label[15];                            //homework/tests/handouts
  public CheckboxGroup[] H = new CheckboxGroup[15];
  public Checkbox[][] h = new Checkbox[15][];

  public Label[] cq = new Label[6];                            //class
  public CheckboxGroup[] C = new CheckboxGroup[6];
  public Checkbox[][] c = new Checkbox[6][];

  public Label[] tq = new Label[12];                            //textbook
  public CheckboxGroup[] T = new CheckboxGroup[12];
  public Checkbox[][] t = new Checkbox[12][];


  public Button okay, cancel;

  
  //  public Scrollbar sbar;
  public  Panel btnpanel, finalpanel;
  public Panel opanel, ipanel, hpanel, cpanel, tpanel, fpanel;    //for individual quesitons

  public GridBagLayout gridbag = new GridBagLayout();
  public CardLayout cards = new CardLayout();

  Font f = new Font("Helvetica", Font.BOLD,14);
  int offset_y;


  public Form1() 
    {

      //scrollbar
      //      sbar = new Scrollbar(Scrollbar.VERTICAL);

       //buttons
      okay = new Button("Submit");
      cancel = new Button("Cancel");

      //text fields
      classname = new TextField(10);
      profname = new TextField(20);      
      bookname = new TextField(30);
      room = new TextField(15);

      Data();

      finalpanel = new Panel();
      finalpanel.setLayout(cards);
      add("Top",finalpanel);
      finalpanel.add("overview",opanel);
      finalpanel.add("instructor",ipanel);
      finalpanel.add("hw",hpanel);
      finalpanel.add("class",cpanel);
      finalpanel.add("text",tpanel);
      finalpanel.add("final",fpanel);

    }


  public void constrain(Container container, Component component, int grid_x,         //labels
			int grid_y, int grid_width, int grid_height)
    {
      constrain(container, component, grid_x, grid_y, grid_width, grid_height,
		GridBagConstraints.NONE, GridBagConstraints.NORTHWEST, 
		0.0, 0.0, 0, 20, 0, 0);
    }

  public void constrain(Container container, Component[] component, int grid_x,  //series of questions
			int grid_y, int grid_width, int grid_height)
    {

      for (int i=0; i<5; i++)
	constrain(container, component[i], grid_x+i, grid_y, grid_width, grid_height,
		  GridBagConstraints.NONE, GridBagConstraints.NORTHWEST, 
		  0.0, 0.0, 0, 0, 3, 0);
    }


  public void constrain(Container container, Component component, int grid_x,               //headers
			int grid_y, int grid_width, int grid_height, int top, int left, int bottom, int right)
    {


	constrain(container, component, grid_x, grid_y, grid_width, grid_height,
		  GridBagConstraints.NONE, GridBagConstraints.NORTHWEST, 
		  0.0, 0.0, top, left, bottom, right);
    }

  public void constrain(Container container, Component component, 
			int grid_x, int grid_y, int grid_width, 
			int grid_height, int fill, int anchor, 
			double weight_x, double weight_y, int top, int left,
			int bottom, int right)
    {
      GridBagConstraints c = new GridBagConstraints();
      c.gridx = grid_x; c.gridy=grid_y;
      c.gridwidth = grid_width; c.gridheight = grid_height;
      c.fill = fill; c.anchor = anchor;
      c.weightx = weight_x; c.weighty = weight_y;
      if (top+bottom+left+right>0)
	c.insets = new Insets(top,left,bottom,right);

      ((GridBagLayout)container.getLayout()).setConstraints(component,c);
      container.add(component);
    }

  public void Switch(int theTab)
    {
      switch(theTab)
	{
	case 0:
	  ((CardLayout)finalpanel.getLayout()).show(finalpanel,"overview");
	  break;
	case 1:
	  ((CardLayout)finalpanel.getLayout()).show(finalpanel,"instructor");
	  break;
      	case 2:
	  ((CardLayout)finalpanel.getLayout()).show(finalpanel,"hw");
	  break;
	case 3:
	  ((CardLayout)finalpanel.getLayout()).show(finalpanel,"class");
	  break;
	case 4:
	  ((CardLayout)finalpanel.getLayout()).show(finalpanel,"text");
	  break;
	case 5:
	  ((CardLayout)finalpanel.getLayout()).show(finalpanel,"final");
	  break;
	}
    }

  public void Data()
    {
      Odata(); Idata(); Hdata(); Cdata(); Tdata(); Fdata();
    }

  public void Odata()                                      //create and group checkboxes
    {

      //OVERVIEW
      overview[0] = new Label("What was your ability in the subject before the class?");
      O[0] = new CheckboxGroup();
      o[0] = new Checkbox[5];
      o[0][0] = new Checkbox("Great", O[0], false);
      o[0][1] = new Checkbox("Good", O[0], false); 
      o[0][2] = new Checkbox("Average", O[0], false);     
      o[0][3] = new Checkbox("Low", O[0], false);
      o[0][4] = new Checkbox("Nonexistant", O[0], false);
	
      overview[1] = new Label("What was your ability after?");
      O[1] = new CheckboxGroup();
      o[1] = new Checkbox[5];
      o[1][0] = new Checkbox("Great", O[1], false);
      o[1][1] = new Checkbox("Good", O[1], false); 
      o[1][2] = new Checkbox("Average", O[1], false);     
      o[1][3] = new Checkbox("Low", O[1], false);
      o[1][4] = new Checkbox("Nonexistant", O[1], false);
	
      overview[2] = new Label ("How motivated were you in the class?");
      O[2] = new CheckboxGroup();
      o[2] = new Checkbox[5];
      o[2][0] = new Checkbox("A lot", O[2], false);
      o[2][1] = new Checkbox("Somewhat", O[2], false); 
      o[2][2] = new Checkbox("Average", O[2], false);     
      o[2][3] = new Checkbox("Not much", O[2], false);
      o[2][4] = new Checkbox("Not at all", O[2], false);

      overview[3] = new Label ("How much did you learn?");
      O[3] = new CheckboxGroup();
      o[3] = new Checkbox[5];
      o[3][0] = new Checkbox("A lot", O[3], false);
      o[3][1] = new Checkbox("Somewhat", O[3], false); 
      o[3][2] = new Checkbox("Average", O[3], false);     
      o[3][3] = new Checkbox("Not much", O[3], false);
      o[3][4] = new Checkbox("Not at all", O[3], false);

      overview[4] = new Label("Do you feel you learned as much as you could have?");
      O[4] = new CheckboxGroup();
      o[4] = new Checkbox[5];
      o[4][0] = new Checkbox("Yes", O[4], false);
      o[4][1] = new Checkbox("Somewhat", O[4], false); 
      o[4][2] = new Checkbox("Average", O[4], false);     
      o[4][3] = new Checkbox("Not really", O[4], false);
      o[4][4] = new Checkbox("No", O[4], false);

      overview[5] = new Label("How much did you enjoy the class?");
      O[5] = new CheckboxGroup();
      o[5] = new Checkbox[5];
      o[5][0] = new Checkbox("A lot", O[5], false);
      o[5][1] = new Checkbox("Somewhat", O[5], false); 
      o[5][2] = new Checkbox("Average", O[5], false);     
      o[5][3] = new Checkbox("Not much", O[5], false);
      o[5][4] = new Checkbox("Not at all", O[5], false);

      overview[6] = new Label("How many hours did you spend on it per week?");
      O[6] = new CheckboxGroup();
      o[6] = new Checkbox[5];
      o[6][0] = new Checkbox("0-5", O[6], false);
      o[6][1] = new Checkbox("5-10", O[6], false); 
      o[6][2] = new Checkbox("10-15", O[6], false);     
      o[6][3] = new Checkbox("15-20", O[6], false);
      o[6][4] = new Checkbox("more than 20", O[6], false);

      overview[7] = new Label("Rate their overall teaching ability");            //instructor questions
      O[7] = new CheckboxGroup();
      o[7] = new Checkbox[5];
      o[7][0] = new Checkbox("Great", O[7], false);
      o[7][1] = new Checkbox("Good", O[7], false); 
      o[7][2] = new Checkbox("Average", O[7], false);     
      o[7][3] = new Checkbox("Poor", O[7], false);
      o[7][4] = new Checkbox("Awful", O[7], false);

      overview[8] = new Label("Rate their knowledge of the subject matter");
      O[8] = new CheckboxGroup();
      o[8] = new Checkbox[5];
      o[8][0] = new Checkbox("Great", O[8], false);
      o[8][1] = new Checkbox("Good", O[8], false); 
      o[8][2] = new Checkbox("Average", O[8], false);     
      o[8][3] = new Checkbox("Poor", O[8], false);
      o[8][4] = new Checkbox("Awful", O[8], false);

      overview[9] = new Label("Given the choice, would you take another class from this instructor?");
      O[9] = new CheckboxGroup();
      o[9] = new Checkbox[5];
      o[9][0] = new Checkbox("YES!", O[9], false);
      o[9][1] = new Checkbox("possibly", O[9], false); 
      o[9][2] = new Checkbox("Doesn't matter", O[9], false);     
      o[9][3] = new Checkbox("probably not", O[9], false);
      o[9][4] = new Checkbox("NO!", O[9], false);

      overview[10] = new Label("Were the prerequisites for this class important to do well?");   //class q.s
      O[10] = new CheckboxGroup();
      o[10] = new Checkbox[5];
      o[10][0] = new Checkbox("Yes", O[10], false);
      o[10][1] = new Checkbox("Somewhat", O[10], false); 
      o[10][2] = new Checkbox("A bit", O[10], false);     
      o[10][3] = new Checkbox("Not really", O[10], false);
      o[10][4] = new Checkbox("No", O[10], false);

      overview[11] = new Label("Would you suggest that this class be kept/added as a required class?");
      O[11] = new CheckboxGroup();
      o[11] = new Checkbox[5];
      o[11][0] = new Checkbox("Yes", O[11], false);
      o[11][1] = new Checkbox("No", O[11], false); 
      o[11][2] = new Checkbox("-", O[11], false);     
      o[11][3] = new Checkbox("-", O[11], false);
      o[11][4] = new Checkbox("-", O[11], false);

      overview[12] = new Label("Rate the room you took the class in.");
      O[12] = new CheckboxGroup();
      o[12] = new Checkbox[5];
      o[12][0] = new Checkbox("Great", O[12], false);
      o[12][1] = new Checkbox("Good", O[12], false); 
      o[12][2] = new Checkbox("Average", O[12], false);     
      o[12][3] = new Checkbox("Poor", O[12], false);
      o[12][4] = new Checkbox("Awful", O[12], false);

      overview[13] = new Label("What was the overall quality of your textbook?");       //book question
      O[13] = new CheckboxGroup();
      o[13] = new Checkbox[5];
      o[13][0] = new Checkbox("Great", O[13], false);
      o[13][1] = new Checkbox("Good", O[13], false); 
      o[13][2] = new Checkbox("Average", O[13], false);     
      o[13][3] = new Checkbox("Poor", O[13], false);
      o[13][4] = new Checkbox("Awful", O[13], false);


      //make a panel for the overview components                                OVERVIEW
      opanel = new Panel();
      opanel.setLayout(gridbag);
      add("Panel1",opanel);


      int currow=0;      
      Label o1 = new Label("General");
      o1.setFont(f);
      constrain(opanel, o1,0, currow,1,1,5,0,5,0);
      currow++;

      for (int j=0; j<7; j++)
	{	  
	  constrain(opanel, overview[j],0,currow,5,1);      constrain(opanel,o[j],0,currow+1,1,1);
	  currow +=2;
	}
 
      Label o2 = new Label("Instructor");
      o2.setFont(f); 
      constrain(opanel, o2,0,currow,1,1,15,0,5,0);
            currow+=2;
	    for (int j=7;j<10;j++)
	      {
		constrain(opanel, overview[j],0,currow,5,1);      constrain(opanel,o[j],0,currow+1,1,1);
		currow +=2;
	      }

	    Label o3 = new Label("Classroom");
	    o3.setFont(f); 	    
	    constrain(opanel, o3,0,currow,1,1,15,0,5,0);
	    currow++;
	    for (int j=10;j<13;j++)
	      {
		constrain(opanel, overview[j],0,currow,5,1);      constrain(opanel,o[j],0,currow+1,1,1);
		currow +=2;
	      }

	    Label o4 = new Label("Textbook");
	    o4.setFont(f); 	    
	    constrain(opanel,o4,0,currow,1,1,15,0,5,0);
	    currow++;

	    constrain(opanel, overview[13],0,currow,5,1);      constrain(opanel,o[13],0,currow+1,1,1);


    }

  public void Idata()
    {
      iq[0] = new Label("Has respect and concern for students?");
      I[0] = new CheckboxGroup();
      i[0] = new Checkbox[5];
      i[0][0] = new Checkbox("A lot", I[0], false);
      i[0][1] = new Checkbox("Somewhat", I[0], false); 
      i[0][2] = new Checkbox("Average", I[0], false);     
      i[0][3] = new Checkbox("Not much", I[0], false);
      i[0][4] = new Checkbox("Not at all", I[0], false);

      iq[1] = new Label("Encourages student feedback/ listens?");
      I[1] = new CheckboxGroup();
      i[1] = new Checkbox[5];
      i[1][0] = new Checkbox("A lot", I[1], false);
      i[1][1] = new Checkbox("Somewhat", I[1], false); 
      i[1][2] = new Checkbox("Average", I[1], false);     
      i[1][3] = new Checkbox("Not much", I[1], false);
      i[1][4] = new Checkbox("Not at all", I[1], false);

      iq[2] = new Label("Pays attention to what helps you learn?");
      I[2] = new CheckboxGroup();
      i[2] = new Checkbox[5];
      i[2][0] = new Checkbox("A lot", I[2], false);
      i[2][1] = new Checkbox("Somewhat", I[2], false); 
      i[2][2] = new Checkbox("Average", I[2], false);     
      i[2][3] = new Checkbox("Not much", I[2], false);
      i[2][4] = new Checkbox("Not at all", I[2], false);

      iq[3] = new Label("Able to answer the student's questions?");
      I[3] = new CheckboxGroup();
      i[3] = new Checkbox[5];
      i[3][0] = new Checkbox("All", I[3], false);
      i[3][1] = new Checkbox("Most", I[3], false); 
      i[3][2] = new Checkbox("Average", I[3], false);     
      i[3][3] = new Checkbox("Some", I[3], false);
      i[3][4] = new Checkbox("None", I[3], false);

      iq[4] = new Label("Provides a good pace for the class?");
      I[4] = new CheckboxGroup();
      i[4] = new Checkbox[5];
      i[4][0] = new Checkbox("Too Fast", I[4], false);
      i[4][1] = new Checkbox("Fast", I[4], false); 
      i[4][2] = new Checkbox("Perfect", I[4], false);     
      i[4][3] = new Checkbox("Slow", I[4], false);
      i[4][4] = new Checkbox("Too slow", I[4], false);

      iq[5] = new Label("Flexibility in changing schedule to meet student's needs?");
      I[5] = new CheckboxGroup();
      i[5] = new Checkbox[5];
      i[5][0] = new Checkbox("Great", I[5], false);
      i[5][1] = new Checkbox("Good", I[5], false); 
      i[5][2] = new Checkbox("Average", I[5], false);     
      i[5][3] = new Checkbox("Not much", I[5], false);
      i[5][4] = new Checkbox("Not at all", I[5], false);

      iq[6] = new Label("Able to make material interesting?");
      I[6] = new CheckboxGroup();
      i[6] = new Checkbox[5];
      i[6][0] = new Checkbox("Yes", I[6], false);
      i[6][1] = new Checkbox("Somewhat", I[6], false); 
      i[6][2] = new Checkbox("Average", I[6], false);     
      i[6][3] = new Checkbox("Not really", I[6], false);
      i[6][4] = new Checkbox("No", I[6], false);

      iq[7] = new Label("Success in getting you to think?");
      I[7] = new CheckboxGroup();
      i[7] = new Checkbox[5];
      i[7][0] = new Checkbox("Yes", I[7], false);
      i[7][1] = new Checkbox("Somewhat", I[7], false); 
      i[7][2] = new Checkbox("Average", I[7], false);     
      i[7][3] = new Checkbox("Not really", I[7], false);
      i[7][4] = new Checkbox("No", I[7], false);

      iq[8] = new Label("Organized?");
      I[8] = new CheckboxGroup();
      i[8] = new Checkbox[5];
      i[8][0] = new Checkbox("Very", I[8], false);
      i[8][1] = new Checkbox("Somewhat", I[8], false); 
      i[8][2] = new Checkbox("Average", I[8], false);     
      i[8][3] = new Checkbox("Not really", I[8], false);
      i[8][4] = new Checkbox("Not at all", I[8], false);

      iq[9] = new Label("Grades fairly and consistently?");
      I[9] = new CheckboxGroup();
      i[9] = new Checkbox[5];
      i[9][0] = new Checkbox("Yes", I[9], false);
      i[9][1] = new Checkbox("No", I[9], false); 
      i[9][2] = new Checkbox("-", I[9], false);     
      i[9][3] = new Checkbox("-", I[9], false);
      i[9][4] = new Checkbox("-", I[9], false);

      iq[10] = new Label("Available to students?");
      I[10] = new CheckboxGroup();
      i[10] = new Checkbox[5];
      i[10][0] = new Checkbox("Always", I[10], false);
      i[10][1] = new Checkbox("Mostly", I[10], false); 
      i[10][2] = new Checkbox("Average", I[10], false);     
      i[10][3] = new Checkbox("Not often", I[10], false);
      i[10][4] = new Checkbox("Never", I[10], false);

      iq[11] = new Label("Stayed on track/focused class?");
      I[11] = new CheckboxGroup();
      i[11] = new Checkbox[5];
      i[11][0] = new Checkbox("Always", I[11], false);
      i[11][1] = new Checkbox("Mostly", I[11], false); 
      i[11][2] = new Checkbox("Average", I[11], false);     
      i[11][3] = new Checkbox("Not often", I[11], false);
      i[11][4] = new Checkbox("No", I[11], false);

      iq[12] = new Label("Encouraged student interactions?");
      I[12] = new CheckboxGroup();
      i[12] = new Checkbox[5];
      i[12][0] = new Checkbox("A lot", I[12], false);
      i[12][1] = new Checkbox("Somwhat", I[12], false); 
      i[12][2] = new Checkbox("Average", I[12], false);     
      i[12][3] = new Checkbox("Not really", I[12], false);
      i[12][4] = new Checkbox("Not at all", I[12], false);

      iq[13] = new Label("Had appropriate assumptions of your pre-existing knowledge?");
      I[13] = new CheckboxGroup();
      i[13] = new Checkbox[5];
      i[13][0] = new Checkbox("No, too high", I[13], false);
      i[13][1] = new Checkbox("Yes, but high", I[13], false); 
      i[13][2] = new Checkbox("Yes", I[13], false);     
      i[13][3] = new Checkbox("Yes, but low", I[13], false);
      i[13][4] = new Checkbox("No, too low", I[13], false);

      iq[14] = new Label("Had appropriate expectations?");
      I[14] = new CheckboxGroup();
      i[14] = new Checkbox[5];
      i[14][0] = new Checkbox("No, too high", I[14], false);
      i[14][1] = new Checkbox("Yes, but high", I[14], false); 
      i[14][2] = new Checkbox("Yes", I[14], false);     
      i[14][3] = new Checkbox("Yes, but low", I[14], false);
      i[14][4] = new Checkbox("No, too low", I[14], false);

      iq[15] = new Label("Let you know their expectations?");
      I[15] = new CheckboxGroup();
      i[15] = new Checkbox[5];
      i[15][0] = new Checkbox("Yes", I[15], false);
      i[15][1] = new Checkbox("Somewhat", I[15], false); 
      i[15][2] = new Checkbox("Average", I[15], false);     
      i[15][3] = new Checkbox("A little", I[15], false);
      i[15][4] = new Checkbox("No", I[15], false);

      iq[16] = new Label("Had clear verbal presentation?");
      I[16] = new CheckboxGroup();
      i[16] = new Checkbox[5];
      i[16][0] = new Checkbox("Yes", I[16], false);
      i[16][1] = new Checkbox("Somewhat", I[16], false); 
      i[16][2] = new Checkbox("Average", I[16], false);     
      i[16][3] = new Checkbox("Not really", I[16], false);
      i[16][4] = new Checkbox("No", I[16], false);

      iq[17] = new Label("Had good handwriting?");
      I[17] = new CheckboxGroup();
      i[17] = new Checkbox[5];
      i[17][0] = new Checkbox("Yes", I[17], false);
      i[17][1] = new Checkbox("Somewhat", I[17], false); 
      i[17][2] = new Checkbox("Average", I[17], false);     
      i[17][3] = new Checkbox("Not really", I[17], false);
      i[17][4] = new Checkbox("No", I[17], false);

      //make a panel for the instructor components                                INSTRUCTOR

      int currow=0;
      ipanel = new Panel();
      ipanel.setLayout(gridbag);
      add("Panel2",ipanel);

      Label i1 = new Label("Instructor");
      i1.setFont(f);
      constrain(ipanel, i1,0, currow,1,1,5,0,5,0);
      currow++;

      for (int k=0; k<18; k++)
	{	
	  constrain(ipanel, iq[k],0,currow,5,1);      constrain(ipanel,i[k],0,currow+1,1,1);
	  currow +=2;
	}

    }

  public void Hdata()
    {
      hq[0] = new Label("Were syllabus and schedule available?");
      H[0] = new CheckboxGroup();
      h[0] = new Checkbox[5];
      h[0][0] = new Checkbox("yes", H[0], false);
      h[0][1] = new Checkbox("no", H[0], false); 
      h[0][2] = new Checkbox("-", H[0], false);     
      h[0][3] = new Checkbox("-", H[0], false);
      h[0][4] = new Checkbox("-", H[0], false);

      hq[1] = new Label("Were they helpful");  //grey out
      H[1] = new CheckboxGroup();
      h[1] = new Checkbox[5];
      h[1][0] = new Checkbox("Yes", H[1], false);
      h[1][1] = new Checkbox("Somewhat", H[1], false); 
      h[1][2] = new Checkbox("Average", H[1], false);     
      h[1][3] = new Checkbox("Not really", H[1], false);
      h[1][4] = new Checkbox("No", H[1], false);

      hq[2] = new Label("What was the overall quality/legibility of handouts?");
      H[2] = new CheckboxGroup();
      h[2] = new Checkbox[5];
      h[2][0] = new Checkbox("Great", H[2], false);
      h[2][1] = new Checkbox("Good", H[2], false); 
      h[2][2] = new Checkbox("Average", H[2], false);     
      h[2][3] = new Checkbox("Poor", H[2], false);
      h[2][4] = new Checkbox("Awful", H[2], false);

      hq[3] = new Label("How accessible were they?");
      H[3] = new CheckboxGroup();
      h[3] = new Checkbox[5];
      h[3][0] = new Checkbox("Always/on web", H[3], false);
      h[3][1] = new Checkbox("A lot", H[3], false); 
      h[3][2] = new Checkbox("Average", H[3], false);     
      h[3][3] = new Checkbox("Not much", H[3], false);
      h[3][4] = new Checkbox("Not at all", H[3], false);


      hq[4] = new Label("How many assignments were there?");
      H[4] = new CheckboxGroup();
      h[4] = new Checkbox[5];
      h[4][0] = new Checkbox("0", H[4], false);
      h[4][1] = new Checkbox("1-2", H[4], false); 
      h[4][2] = new Checkbox("3-5", H[4], false);     
      h[4][3] = new Checkbox("5-10", H[4], false);
      h[4][4] = new Checkbox(">10", H[4], false);


      hq[5] = new Label("About how much time was spent on them weekly?");
      H[5] = new CheckboxGroup();
      h[5] = new Checkbox[5];
      h[5][0] = new Checkbox("<1 hour", H[5], false);
      h[5][1] = new Checkbox("1-2 hours", H[5], false); 
      h[5][2] = new Checkbox("2-5 hours", H[5], false);     
      h[5][3] = new Checkbox("5-10 hours", H[5], false);
      h[5][4] = new Checkbox(">10 hours", H[5], false);

      hq[6] = new Label("How relevant were they to lecture?");
      H[6] = new CheckboxGroup();
      h[6] = new Checkbox[5];
      h[6][0] = new Checkbox("Completely", H[6], false);
      h[6][1] = new Checkbox("A lot", H[6], false); 
      h[6][2] = new Checkbox("Average", H[6], false);     
      h[6][3] = new Checkbox("A little", H[6], false);
      h[6][4] = new Checkbox("Not much", H[6], false);

      hq[7] = new Label("What was the average difficulty level?");
      H[7] = new CheckboxGroup();
      h[7] = new Checkbox[5];
      h[7][0] = new Checkbox("Too hard", H[7], false);
      h[7][1] = new Checkbox("Hard", H[7], false); 
      h[7][2] = new Checkbox("Average", H[7], false);     
      h[7][3] = new Checkbox("Easy", H[7], false);
      h[7][4] = new Checkbox("Too easy", H[7], false);

      hq[8] = new Label("What was the percentage of busy to helpful work?");
      H[8] = new CheckboxGroup();
      h[8] = new Checkbox[5];
      h[8][0] = new Checkbox("Completely helpful", H[8], false);
      h[8][1] = new Checkbox("Mostly helpful", H[8], false); 
      h[8][2] = new Checkbox("Average", H[8], false);     
      h[8][3] = new Checkbox("Mostly busy", H[8], false);
      h[8][4] = new Checkbox("Completely busy", H[8], false);

      hq[9] = new Label("How many were there?");
      H[9] = new CheckboxGroup();
      h[9] = new Checkbox[5];
      h[9][0] = new Checkbox("0", H[9], false);
      h[9][1] = new Checkbox("1", H[9], false); 
      h[9][2] = new Checkbox("2", H[9], false);     
      h[9][3] = new Checkbox("3-4", H[9], false);
      h[9][4] = new Checkbox(">4", H[9], false);

      hq[10] = new Label("How relevant were they to lecture?");
      H[10] = new CheckboxGroup();
      h[10] = new Checkbox[5];
      h[10][0] = new Checkbox("Completely", H[10], false);
      h[10][1] = new Checkbox("Very", H[10], false); 
      h[10][2] = new Checkbox("Average", H[10], false);     
      h[10][3] = new Checkbox("Not much", H[10], false);
      h[10][4] = new Checkbox("Not at all", H[10], false);

      hq[11] = new Label("How relevant were they to knowledge of subject matter?");
      H[11] = new CheckboxGroup();
      h[11] = new Checkbox[5];
      h[11][0] = new Checkbox("Completely", H[11], false);
      h[11][1] = new Checkbox("Very", H[11], false); 
      h[11][2] = new Checkbox("Average", H[11], false);     
      h[11][3] = new Checkbox("Not much", H[11], false);
      h[11][4] = new Checkbox("Not at all", H[11], false);

      hq[12] = new Label("What was the average difficulty level?");
      H[12] = new CheckboxGroup();
      h[12] = new Checkbox[5];
      h[12][0] = new Checkbox("Too hard", H[12], false);
      h[12][1] = new Checkbox("Hard", H[12], false); 
      h[12][2] = new Checkbox("Average", H[12], false);     
      h[12][3] = new Checkbox("Easy", H[12], false);
      h[12][4] = new Checkbox("Too easy", H[12], false);

      hq[13] = new Label("What was the length?");
      H[13] = new CheckboxGroup();
      h[13] = new Checkbox[5];
      h[13][0] = new Checkbox("Too long", H[13], false);
      h[13][1] = new Checkbox("Long", H[13], false); 
      h[13][2] = new Checkbox("Average", H[13], false);     
      h[13][3] = new Checkbox("Short", H[13], false);
      h[13][4] = new Checkbox("Too short", H[13], false);

      hq[14] = new Label("What was the level of detail?");
      H[14] = new CheckboxGroup();
      h[14] = new Checkbox[5];
      h[14][0] = new Checkbox("Too general", H[14], false);
      h[14][1] = new Checkbox("General", H[14], false); 
      h[14][2] = new Checkbox("Average", H[14], false);     
      h[14][3] = new Checkbox("Specific", H[14], false);
      h[14][4] = new Checkbox("Too specific", H[14], false);

      int currow=0;
      hpanel = new Panel();
      hpanel.setLayout(gridbag);
      add("Panel3",hpanel);

      Label h1 = new Label("Handouts");
      h1.setFont(f);
      constrain(hpanel,h1,0,currow,1,1,5,0,5,0);
      currow++;

      for (int k=0; k<4; k++)
	{	
	  constrain(hpanel, hq[k],0,currow,5,1);      constrain(hpanel,h[k],0,currow+1,1,1);
	  currow +=2;
	}

      Label h2 = new Label("Homework");
      h2.setFont(f);
      constrain(hpanel,h2,0,currow,1,1,5,0,5,0);
      currow++;

      for (int k=4; k<9; k++)
	{	
	  constrain(hpanel, hq[k],0,currow,5,1);      constrain(hpanel,h[k],0,currow+1,1,1);
	  currow +=2;
	}

      Label h3 = new Label("Exams");
      h3.setFont(f);
      constrain(hpanel,h3,0,currow,1,1,5,0,5,0);
      currow++;

      for (int k=9; k<15; k++)
	{	
	  constrain(hpanel, hq[k],0,currow,5,1);      constrain(hpanel,h[k],0,currow+1,1,1);
	  currow +=2;
	}
    }

  public void Cdata()
    {
      cq[0] = new Label("Why did you take this class?");
      C[0] = new CheckboxGroup();
      c[0] = new Checkbox[5];
      c[0][0] = new Checkbox("Required", C[0], false);
      c[0][1] = new Checkbox("Elective", C[0], false); 
      c[0][2] = new Checkbox("Pre-req", C[0], false);     
      c[0][3] = new Checkbox("Fun", C[0], false);
      c[0][4] = new Checkbox("Other", C[0], false);

      cq[1] = new Label("How helpful were the recitation/lab/etc., if any existed?");
      C[1] = new CheckboxGroup();
      c[1] = new Checkbox[5];
      c[1][0] = new Checkbox("Very", C[1], false);
      c[1][1] = new Checkbox("Somewhat", C[1], false); 
      c[1][2] = new Checkbox("Average", C[1], false);     
      c[1][3] = new Checkbox("Not much", C[1], false);
      c[1][4] = new Checkbox("Not at all", C[1], false);

      cq[2] = new Label("How practical was this class?");
      C[2] = new CheckboxGroup();
      c[2] = new Checkbox[5];
      c[2][0] = new Checkbox("Very practical", C[2], false);
      c[2][1] = new Checkbox("Practical", C[2], false); 
      c[2][2] = new Checkbox("Average", C[2], false);     
      c[2][3] = new Checkbox("Theoretical", C[2], false);
      c[2][4] = new Checkbox("Very theoretical", C[2], false);

      cq[3] = new Label("How organized did the class itself seem?");
      C[3] = new CheckboxGroup();
      c[3] = new Checkbox[5];
      c[3][0] = new Checkbox("Very", C[3], false);
      c[3][1] = new Checkbox("Somewhat", C[3], false); 
      c[3][2] = new Checkbox("Average", C[3], false);     
      c[3][3] = new Checkbox("Not much", C[3], false);
      c[3][4] = new Checkbox("Not at all", C[3], false);

      cq[4] = new Label("Was this a UNITE (televised) class?");
      C[4] = new CheckboxGroup();
      c[4] = new Checkbox[5];
      c[4][0] = new Checkbox("yes", C[4], false);
      c[4][1] = new Checkbox("no", C[4], false); 
      c[4][2] = new Checkbox("-", C[4], false);     
      c[4][3] = new Checkbox("-", C[4], false);
      c[4][4] = new Checkbox("-", C[4], false);

      cq[5] = new Label("Would you recommend this class to another (independent of instructor)?");
      C[5] = new CheckboxGroup();
      c[5] = new Checkbox[5];
      c[5][0] = new Checkbox("YES!", C[5], false);
      c[5][1] = new Checkbox("Probably", C[5], false); 
      c[5][2] = new Checkbox("Maybe", C[5], false);     
      c[5][3] = new Checkbox("Probably not", C[5], false);
      c[5][4] = new Checkbox("NO!", C[5], false);

      int currow=0;
      cpanel = new Panel();
      cpanel.setLayout(gridbag);
      add("Panel4",cpanel);

      Label c1 = new Label("Class");
      c1.setFont(f);
      constrain(cpanel, c1,0, currow,1,1,5,0,5,0);
      currow++;

      for (int k=0; k<6; k++)
	{	
	  constrain(cpanel, cq[k],0,currow,5,1);      constrain(cpanel,c[k],0,currow+1,1,1);
	  currow +=2;
	}

    }

  public void Tdata()
    {
      tq[0] = new Label("Was the book truly helpful?");
      T[0] = new CheckboxGroup();
      t[0] = new Checkbox[5];
      t[0][0] = new Checkbox("Very", T[0], false);
      t[0][1] = new Checkbox("Somewhat", T[0], false); 
      t[0][2] = new Checkbox("Average", T[0], false);     
      t[0][3] = new Checkbox("Not much", T[0], false);
      t[0][4] = new Checkbox("Not at all", T[0], false);

      tq[1] = new Label("How well written was it?");
      T[1] = new CheckboxGroup();
      t[1] = new Checkbox[5];
      t[1][0] = new Checkbox("Very", T[1], false);
      t[1][1] = new Checkbox("Somewhat", T[1], false); 
      t[1][2] = new Checkbox("Average", T[1], false);     
      t[1][3] = new Checkbox("Not much", T[1], false);
      t[1][4] = new Checkbox("Not at all", T[1], false);

      tq[2] = new Label("How correct were the materials and problems?");
      T[2] = new CheckboxGroup();
      t[2] = new Checkbox[5];
      t[2][0] = new Checkbox("Very", T[2], false);
      t[2][1] = new Checkbox("Somewhat", T[2], false); 
      t[2][2] = new Checkbox("Average", T[2], false);     
      t[2][3] = new Checkbox("Not much", T[2], false);
      t[2][4] = new Checkbox("Not at all", T[2], false);

      tq[3] = new Label("How substantial was this book");
      T[3] = new CheckboxGroup();
      t[3] = new Checkbox[5];
      t[3][0] = new Checkbox("All substance", T[3], false);
      t[3][1] = new Checkbox("Mostly substance", T[3], false); 
      t[3][2] = new Checkbox("Average", T[3], false);     
      t[3][3] = new Checkbox("Mostly fluff", T[3], false);
      t[3][4] = new Checkbox("All fluff", T[3], false);

      tq[4] = new Label("Rate the clarity of the text");
      T[4] = new CheckboxGroup();
      t[4] = new Checkbox[5];
      t[4][0] = new Checkbox("Very", T[4], false);
      t[4][1] = new Checkbox("Somewhat", T[4], false); 
      t[4][2] = new Checkbox("Average", T[4], false);     
      t[4][3] = new Checkbox("Not much", T[4], false);
      t[4][4] = new Checkbox("Not at all", T[4], false);

      tq[5] = new Label("How was the structure and organization?");
      T[5] = new CheckboxGroup();
      t[5] = new Checkbox[5];
      t[5][0] = new Checkbox("Great", T[5], false);
      t[5][1] = new Checkbox("Good", T[5], false); 
      t[5][2] = new Checkbox("Average", T[5], false);     
      t[5][3] = new Checkbox("Poor", T[5], false);
      t[5][4] = new Checkbox("Awful", T[5], false);

      tq[6] = new Label("Was the speed of the presentation of the materials appropriate?");
      T[6] = new CheckboxGroup();
      t[6] = new Checkbox[5];
      t[6][0] = new Checkbox("Too fast", T[6], false);
      t[6][1] = new Checkbox("Fast", T[6], false); 
      t[6][2] = new Checkbox("Average", T[6], false);     
      t[6][3] = new Checkbox("Slow", T[6], false);
      t[6][4] = new Checkbox("Too slow", T[6], false);

      tq[7] = new Label("What was the interest/fun level of it (did you stay awake)?");
      T[7] = new CheckboxGroup();
      t[7] = new Checkbox[5];
      t[7][0] = new Checkbox("Great", T[7], false);
      t[7][1] = new Checkbox("Good", T[7], false); 
      t[7][2] = new Checkbox("Average", T[7], false);     
      t[7][3] = new Checkbox("Poor", T[7], false);
      t[7][4] = new Checkbox("Awful", T[7], false);

      tq[8] = new Label("Was the cost appropriate?");
      T[8] = new CheckboxGroup();
      t[8] = new Checkbox[5];
      t[8][0] = new Checkbox("Way too much", T[8], false);
      t[8][1] = new Checkbox("Too much", T[8], false); 
      t[8][2] = new Checkbox("Worth it", T[8], false);     
      t[8][3] = new Checkbox("Yes", T[8], false);
      t[8][4] = new Checkbox("-", T[8], false);

      tq[9] = new Label("Was it available when you needed to buy it?");
      T[9] = new CheckboxGroup();
      t[9] = new Checkbox[5];
      t[9][0] = new Checkbox("Yes", T[9], false);
      t[9][1] = new Checkbox("No", T[9], false); 
      t[9][2] = new Checkbox("-", T[9], false);     
      t[9][3] = new Checkbox("-", T[9], false);
      t[9][4] = new Checkbox("-", T[9], false);

      tq[10] = new Label("Do you plan on keeping this book?");
      T[10] = new CheckboxGroup();
      t[10] = new Checkbox[5];
      t[10][0] = new Checkbox("Yes", T[10], false);
      t[10][1] = new Checkbox("No", T[10], false); 
      t[10][2] = new Checkbox("", T[10], false);     
      t[10][3] = new Checkbox("", T[10], false);
      t[10][4] = new Checkbox("", T[10], false);

      tq[11] = new Label("Would you recommend this book to another?");
      T[11] = new CheckboxGroup();
      t[11] = new Checkbox[5];
      t[11][0] = new Checkbox("YES!", T[11], false);
      t[11][1] = new Checkbox("Probably", T[11], false); 
      t[11][2] = new Checkbox("Dunno", T[11], false);     
      t[11][3] = new Checkbox("Probably not", T[11], false);
      t[11][4] = new Checkbox("NO!", T[11], false);

      int currow=0;
      tpanel = new Panel();
      tpanel.setLayout(gridbag);
      add("Panel5",tpanel);

      Label t1 = new Label("Textbook");
      t1.setFont(f);
      constrain(tpanel, t1,0, currow,1,1,5,0,5,0);
      currow++;

      for (int k=0; k<12; k++)
	{	
	  constrain(tpanel, tq[k],0,currow,5,1);      constrain(tpanel,t[k],0,currow+1,1,1);
	  currow +=2;
	}

    }
  public void Fdata()
    {      
      int currow=0;
      fpanel = new Panel();
      fpanel.setLayout(gridbag);
      add("Panel6",fpanel);
    
      Label f1 = new Label("Done");
      f1.setFont(f);
      constrain(fpanel, f1,0, currow,1,1,5,0,5,0);
      currow++;

      //constrain button panel
      btnpanel = new Panel();
      btnpanel.setLayout(gridbag);
      add("South", btnpanel);
      constrain(btnpanel, okay, 0,0,1,1);
      constrain(btnpanel, cancel, 1,0,1,1);
      constrain(fpanel, btnpanel, 0,currow,1,1);
    }
    

}






