import java.applet.*;
import java.awt.*;

public class Tab
{
  int alt = 0;
  String label;
  int xpts[] = new int[8];
  int ypts[] = new int[8];
  final int FONTSIZE = 14; //size of font to indicate spacing
  final String FONTTYPE = "TimesRoman";
  Font theFont = new Font(FONTTYPE, Font.BOLD, FONTSIZE);   
  Color tab1 = new Color(0xEAADEA);
  Polygon newTab;

  public Tab(int x, int y, int w, int h, String tablabel)       //100 & 30
    {
      label = tablabel;

      x=x+1;      w=w-2;

      xpts[0]= x-(w/4); ypts[0]= y+h;
      xpts[1]= x;       ypts[1]= y+(3*h/4);
      xpts[2]= x;       ypts[2]= y+(h/4);
      xpts[3]= x+(w/4); ypts[3]= y;

      xpts[4]= x+w-(w/4); ypts[4]= y;
      xpts[5]= x+w;       ypts[5]= y+(h/4);
      xpts[6]= x+w;       ypts[6]= y+(3*h/4);
      xpts[7]= x+w+(w/4); ypts[7]= y+h;

      newTab = new Polygon(xpts, ypts, 8);
    }
             
  public void Draw(Graphics g)
    {
      if (alt == 0)                                 //nonchosen tabs
	{
	  g.setColor(tab1);
	  g.fillPolygon(newTab);
	  g.setColor(Color.gray);
	}
      else                                           //the chosen tab
	{
	  g.setColor(Color.magenta);
	  g.fillPolygon(newTab);
	  g.setColor(Color.black);
	}
      g.drawString(label,xpts[2]+15,ypts[0]+(ypts[3]-ypts[0]+FONTSIZE)/2);

      g.setColor(Color.black);      
      g.drawPolygon(newTab);

    }
     
  public void Alt(int a)
    {
      if (alt < 0 || alt > 1) alt = 0;
      else alt = a;
      
    }

  public boolean Inside(int x1, int y1)
    {
      return newTab.inside(x1,y1);
    }
}
